Bug 18309 - UNIMARC update from IFLA for new Koha installations
Summary: UNIMARC update from IFLA for new Koha installations
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: François Pichenot
QA Contact: Testopia
URL:
Keywords:
: 18873 (view as bug list)
Depends on:
Blocks: 20424
  Show dependency treegraph
 
Reported: 2017-03-21 13:23 UTC by Fridolin SOMERS
Modified: 2019-11-22 10:04 UTC (History)
18 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 18309 - UNIMARC update from IFLA - biblio UNIMARC complet (238.96 KB, patch)
2017-03-21 13:33 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 18309 - UNIMARC update from IFLA - biblio UNIMARC complet (238.96 KB, patch)
2017-03-22 13:59 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 18309 - UNIMARC update from IFLA - biblio UNIMARC complet (238.88 KB, patch)
2017-03-22 14:15 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 18309 - UNIMARC update from IFLA - biblio UNIMARC complet (239.23 KB, patch)
2017-03-22 14:29 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 18309 - UNIMARC update from IFLA - biblio UNIMARC complet (239.39 KB, patch)
2017-03-22 14:56 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
exported default framework (2.43 MB, text/xml)
2017-03-22 16:25 UTC, Fridolin SOMERS
Details
Bug 18309 - UNIMARC update from IFLA - authority UNIMARC (fr) (1.56 MB, patch)
2017-03-23 12:54 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309 - UNIMARC update from IFLA - biblio UNIMARC complet (en) (69.00 KB, patch)
2017-03-23 14:38 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: Unimarc update from IFLA - Unimarc Biblio (French) (675.90 KB, patch)
2018-03-14 08:17 UTC, François Pichenot
Details | Diff | Splinter Review
Unimarc biblio (French) default export (219.93 KB, text/csv)
2018-03-14 12:59 UTC, François Pichenot
Details
Bug 18309: Unimarc update from IFLA - Unimarc Biblio (French) (2.19 KB, patch)
2018-06-24 09:49 UTC, François Pichenot
Details | Diff | Splinter Review
Unimarc biblio (French) default export (148.73 KB, text/csv)
2018-06-24 10:05 UTC, François Pichenot
Details
Bug 18309: UNIMARC update from IFLA - authority (fr) (default framework) (159.52 KB, patch)
2019-09-30 14:27 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (CLASS) (83.10 KB, patch)
2019-09-30 14:27 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO) (79.46 KB, patch)
2019-09-30 14:27 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (EXP) (81.44 KB, patch)
2019-09-30 14:27 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTEXP) (86.47 KB, patch)
2019-09-30 14:27 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTWORK) (86.33 KB, patch)
2019-09-30 14:27 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (PERS) (76.58 KB, patch)
2019-09-30 14:27 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (PUB) (78.02 KB, patch)
2019-09-30 14:27 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (TU) (85.11 KB, patch)
2019-09-30 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (WORK) (82.08 KB, patch)
2019-09-30 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM) (5.77 KB, patch)
2019-09-30 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (GENRE/FORM) (79.25 KB, patch)
2019-09-30 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM) (73.10 KB, patch)
2019-09-30 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (NP) (79.90 KB, patch)
2019-09-30 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (PA) (75.28 KB, patch)
2019-09-30 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUTTIT) (82.42 KB, patch)
2019-09-30 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18308: UNIMARC update from IFLA - authority (fr) (SNC) (76.42 KB, patch)
2019-09-30 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNG) (76.88 KB, patch)
2019-09-30 14:28 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (TM) (75.72 KB, patch)
2019-09-30 14:29 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (AUTTIT) (2.49 KB, patch)
2019-09-30 14:29 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO_UNI_TI) (23.58 KB, patch)
2019-09-30 14:29 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (FA) (18.11 KB, patch)
2019-09-30 14:29 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUT) (19.91 KB, patch)
2019-09-30 14:29 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SCO) (22.33 KB, patch)
2019-09-30 14:29 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (STU) (24.91 KB, patch)
2019-09-30 14:29 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - biblio UNIMARC complet (en) (68.99 KB, patch)
2019-09-30 14:29 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (default framework) (159.52 KB, patch)
2019-09-30 14:32 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (CLASS) (83.10 KB, patch)
2019-09-30 14:32 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO) (79.46 KB, patch)
2019-09-30 14:32 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (EXP) (81.44 KB, patch)
2019-09-30 14:32 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTEXP) (86.47 KB, patch)
2019-09-30 14:32 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTWORK) (86.33 KB, patch)
2019-09-30 14:32 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (PERS) (76.58 KB, patch)
2019-09-30 14:32 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (PUB) (78.02 KB, patch)
2019-09-30 14:33 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (TU) (85.11 KB, patch)
2019-09-30 14:33 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (WORK) (82.08 KB, patch)
2019-09-30 14:33 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM) (5.77 KB, patch)
2019-09-30 14:33 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (GENRE/FORM) (79.25 KB, patch)
2019-09-30 14:33 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM) (73.10 KB, patch)
2019-09-30 14:33 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (NP) (79.90 KB, patch)
2019-09-30 14:33 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (PA) (75.28 KB, patch)
2019-09-30 14:33 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUTTIT) (82.42 KB, patch)
2019-09-30 14:33 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNC) (76.37 KB, patch)
2019-09-30 14:33 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNG) (76.88 KB, patch)
2019-09-30 14:34 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (TM) (75.72 KB, patch)
2019-09-30 14:34 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (AUTTIT) (2.49 KB, patch)
2019-09-30 14:34 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO_UNI_TI) (23.58 KB, patch)
2019-09-30 14:34 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (FA) (18.11 KB, patch)
2019-09-30 14:34 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUT) (19.91 KB, patch)
2019-09-30 14:34 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SCO) (22.33 KB, patch)
2019-09-30 14:34 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (STU) (24.91 KB, patch)
2019-09-30 14:34 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - biblio UNIMARC complet (en) (68.99 KB, patch)
2019-09-30 14:34 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: Add UNIMARC field 214 and its subfields (3.88 KB, patch)
2019-10-02 12:18 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: Fix INSERT sql query in unimarc_framework_DEFAULT.sql (1.54 KB, patch)
2019-10-02 12:59 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: Add missing fields in biblio framework (12.13 KB, patch)
2019-10-03 13:07 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (default framework) (159.58 KB, patch)
2019-10-03 14:54 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (CLASS) (83.16 KB, patch)
2019-10-03 14:54 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO) (79.52 KB, patch)
2019-10-03 14:54 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (EXP) (81.50 KB, patch)
2019-10-03 14:54 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTEXP) (86.53 KB, patch)
2019-10-03 14:54 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTWORK) (86.38 KB, patch)
2019-10-03 14:54 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (PERS) (76.63 KB, patch)
2019-10-03 14:54 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (PUB) (78.08 KB, patch)
2019-10-03 14:54 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (TU) (85.17 KB, patch)
2019-10-03 14:55 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (WORK) (82.13 KB, patch)
2019-10-03 14:55 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM) (5.82 KB, patch)
2019-10-03 14:55 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (GENRE/FORM) (79.30 KB, patch)
2019-10-03 14:55 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM) (73.16 KB, patch)
2019-10-03 14:55 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (NP) (79.96 KB, patch)
2019-10-03 14:55 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (PA) (75.33 KB, patch)
2019-10-03 14:55 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUTTIT) (82.47 KB, patch)
2019-10-03 14:55 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNC) (76.42 KB, patch)
2019-10-03 14:55 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNG) (76.93 KB, patch)
2019-10-03 14:55 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (TM) (75.78 KB, patch)
2019-10-03 14:55 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (AUTTIT) (2.55 KB, patch)
2019-10-03 14:56 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO_UNI_TI) (23.64 KB, patch)
2019-10-03 14:56 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (FA) (18.17 KB, patch)
2019-10-03 14:56 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUT) (19.97 KB, patch)
2019-10-03 14:56 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SCO) (22.39 KB, patch)
2019-10-03 14:56 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (STU) (24.96 KB, patch)
2019-10-03 14:56 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - biblio UNIMARC complet (en) (69.05 KB, patch)
2019-10-03 14:56 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: Add UNIMARC field 214 and its subfields (3.94 KB, patch)
2019-10-03 14:56 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: Fix INSERT sql query in unimarc_framework_DEFAULT.sql (1.60 KB, patch)
2019-10-03 14:56 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: Add missing fields in biblio framework (12.19 KB, patch)
2019-10-03 14:56 UTC, Koha Team University Lyon 3
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (default framework) (159.63 KB, patch)
2019-10-07 10:11 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (CLASS) (83.21 KB, patch)
2019-10-07 10:11 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO) (79.57 KB, patch)
2019-10-07 10:11 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (EXP) (81.55 KB, patch)
2019-10-07 10:12 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTEXP) (86.58 KB, patch)
2019-10-07 10:12 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTWORK) (86.43 KB, patch)
2019-10-07 10:12 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (PERS) (76.69 KB, patch)
2019-10-07 10:12 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (PUB) (78.13 KB, patch)
2019-10-07 10:12 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (TU) (85.22 KB, patch)
2019-10-07 10:13 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (WORK) (82.19 KB, patch)
2019-10-07 10:13 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM) (5.87 KB, patch)
2019-10-07 10:13 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (GENRE/FORM) (79.35 KB, patch)
2019-10-07 10:14 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM) (73.21 KB, patch)
2019-10-07 10:14 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (NP) (80.01 KB, patch)
2019-10-07 10:14 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (PA) (75.39 KB, patch)
2019-10-07 10:15 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUTTIT) (82.53 KB, patch)
2019-10-07 10:15 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNC) (76.47 KB, patch)
2019-10-07 10:15 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNG) (76.99 KB, patch)
2019-10-07 10:15 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (TM) (75.83 KB, patch)
2019-10-07 10:16 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (AUTTIT) (2.60 KB, patch)
2019-10-07 10:16 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO_UNI_TI) (23.69 KB, patch)
2019-10-07 10:16 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (FA) (18.22 KB, patch)
2019-10-07 10:16 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUT) (20.02 KB, patch)
2019-10-07 10:17 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (SCO) (22.44 KB, patch)
2019-10-07 10:17 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - authority (fr) (STU) (25.02 KB, patch)
2019-10-07 10:17 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: UNIMARC update from IFLA - biblio UNIMARC complet (en) (69.10 KB, patch)
2019-10-07 10:18 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: Add UNIMARC field 214 and its subfields (3.99 KB, patch)
2019-10-07 10:18 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: Fix INSERT sql query in unimarc_framework_DEFAULT.sql (1.65 KB, patch)
2019-10-07 10:18 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 18309: Add missing fields in biblio framework (12.24 KB, patch)
2019-10-07 10:18 UTC, Alex Arnaud
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2017-03-21 13:23:19 UTC
IFLA Federation published new recommendations for UNIMARC standard.
Will impact pré-installed biblio and authorities frameworks.
Comment 1 Fridolin SOMERS 2017-03-21 13:33:28 UTC
Created attachment 61385 [details] [review]
Bug 18309 - UNIMARC update from IFLA - biblio UNIMARC complet

IFLA Federation published new recommendations for UNIMARC standard.
Will impact pré-installed biblio and authorities frameworks

Special thanks to people from Progilone, CIRAD and IEP Grenoble.
Comment 2 Fridolin SOMERS 2017-03-22 13:59:08 UTC
Created attachment 61450 [details] [review]
Bug 18309 - UNIMARC update from IFLA - biblio UNIMARC complet

IFLA Federation published new recommendations for UNIMARC standard.
Will impact pré-installed biblio and authorities frameworks

Special thanks to people from Progilone, CIRAD and IEP Grenoble.
Comment 3 Fridolin SOMERS 2017-03-22 14:15:34 UTC
Created attachment 61455 [details] [review]
Bug 18309 - UNIMARC update from IFLA - biblio UNIMARC complet

IFLA Federation published new recommendations for UNIMARC standard.
Will impact pre-installed biblio and authorities frameworks.

Special thanks to people from Progilone, CIRAD and IEP Grenoble.
Comment 4 Fridolin SOMERS 2017-03-22 14:29:31 UTC
Created attachment 61456 [details] [review]
Bug 18309 - UNIMARC update from IFLA - biblio UNIMARC complet

IFLA Federation published new recommendations for UNIMARC standard.
Will impact pre-installed biblio and authorities frameworks.

Special thanks to people from Progilone, CIRAD and IEP Grenoble.
Comment 5 Fridolin SOMERS 2017-03-22 14:56:07 UTC
Created attachment 61460 [details] [review]
Bug 18309 - UNIMARC update from IFLA - biblio UNIMARC complet

IFLA Federation published new recommendations for UNIMARC standard.
Will impact pre-installed biblio and authorities frameworks.

Special thanks to people from Progilone, CIRAD and IEP Grenoble.
Comment 6 anne-cecile.bories 2017-03-22 15:58:09 UTC
Hi Fridolin,
Thank you very much for your patience and for your job.
With Jacqueline and Juliette, we looked the default template. 
Please, could you add the field MARC 183 with the associated subfields.
You could find the information to create this field at this URL : http://documentation.abes.fr/sudoc/normes/GM-zone%20183%20(14.03.2017).pdf
The authorized values are bellow :
- Supports audio
- Supports d'images projetées
- Supports électroniques
- Supports de microformes
- Supports microscopiques
- Supports sans médiation
- Supports stéréoscopiques
- Supports vidéo

Thank for your help
See you soon
Anne-Cécile
Comment 7 Fridolin SOMERS 2017-03-22 16:25:09 UTC
Created attachment 61479 [details]
exported default framework

An export of the default framework UNIMAC Complet to make tests without recreating the database.
Comment 8 Pascale Nalon 2017-03-23 08:43:23 UTC
Hi,

Please note that the values for the 183 field are not yet published !
The list above, is only the title of value, not the value itself !
This field will be in production untill the first of april in sudoc catalog.
Comment 9 Koha Team University Lyon 3 2017-03-23 12:40:45 UTC
Hello,
I can see two mistakes in the code list :
- 'unimarc_181c', 'ccrt', 'image cartographique tactile' : the code is crt

- code list for 182$c isn't the one of the IFLA website : https://www.ifla.org/files/assets/uca/unimarc_updates/BIBLIOGRAPHIC/b_182_new2016.pdf
Comment 10 Julian Maurice 2017-03-23 12:54:38 UTC
Created attachment 61533 [details] [review]
Bug 18309 - UNIMARC update from IFLA - authority UNIMARC (fr)
Comment 11 Julian Maurice 2017-03-23 14:38:11 UTC
Created attachment 61540 [details] [review]
Bug 18309 - UNIMARC update from IFLA - biblio UNIMARC complet (en)
Comment 12 Koha Team University Lyon 3 2017-03-23 14:39:14 UTC
Not sure, but in the bug it adds :
subfields 560 h i j n z

And on IFLA website, I couldn't find those subfields :
https://www.ifla.org/files/assets/uca/unimarc_updates/BIBLIOGRAPHIC/u-b_560_update.pdf
Comment 13 Corinne Hayet 2017-03-23 15:08:44 UTC
have a look to http://www.bnf.fr/documents/B560_6_2010.pdf

It's written "Toutes les sous-zones définies pour la zone 510 peuvent être utilisées. On peut néanmoins s'attendre à ce que 
seules les sous-zones suivantes soient présentes."
Comment 14 Koha Team University Lyon 3 2017-04-07 10:04:03 UTC
Hello,
can you provide a test plan ?
I would say that this patch complete the default biblio and authorities framework without overwrite it.
To test, verify those frameworks and check if all the new field, subfield and authorized values are there. (https://www.ifla.org/publications/unimarc-authorities-3rd-edition-updates-2012?og=33)
Is it right ?
Comment 15 Koha Team University Lyon 3 2017-05-09 13:45:07 UTC Comment hidden (obsolete)
Comment 16 Fridolin SOMERS 2017-05-10 09:51:29 UTC Comment hidden (obsolete)
Comment 17 Frederique Couffignal 2017-06-28 13:07:49 UTC
Test on 
sandbox is = Sandbox setup by fcouffignal@gmail.com with database 2 and bug 18309 on Wed Jun 28 14:35:45 2017

No change in default framework (biblio and authorities)
Comment 18 Frederique Couffignal 2017-06-28 13:49:28 UTC
Not possible to test in sandbox.
An another bug should  be created for an update of existing default framework not for new installation
Comment 19 François Pichenot 2018-03-14 08:17:43 UTC
Created attachment 72825 [details] [review]
Bug 18309: Unimarc update from IFLA - Unimarc Biblio (French)

    - Koha specific fields prefixed by "Koha - "
    - ABES specific fields prefixed by "ABES - "
    - BnF specific fields prefixed by "BnF - "
    - initial letters of fields and subfileds tags uppercased
    - 183 added
    - 203 added
    - 219 added
    - 231 added
    - 283 added
    - 338 added
    - 009 deleted (deprecated field)
    - 609 deleted (local field)
    - 679 deleted (local field)
    - 900 deleted
    - 901 deleted
    - 902 deleted
    - 903 deleted
    - 910 deleted
    - 920 deleted
    - 932 deleted
    - 936 deleted
    - 942 deleted
    - 950 deleted
    - 960 deleted
    - 966 deleted
    - 970 deleted
    - 980 deleted
    - 959 corrected
    - 'unimarc_181c', 'ccrt', 'image cartographique tactile' corrected
Comment 20 François Pichenot 2018-03-14 12:59:08 UTC
Created attachment 72855 [details]
Unimarc biblio (French) default export

You can check the correctness of the French Unimarc biblio framework with this export.
Comment 21 Laurent 2018-03-16 08:52:44 UTC
Hi
this is my check

some remarks and questions especially for the integration of zone (or block) and under fields specific to the French ABES (sudoc) and the BNF


*Comment 1
009 ARK perennial identifier of the record [obsolete since version 2007]
ARK = Archival Resource Key / This is a Bnf Specific Zone
. See ARK specifications: http://www.cdlib.org/inside/diglib/ark/arkspec.pdf
[accessed October 10, 2006]
ex: 009http: //catalogue.bnf.fr/ark: / 12148 / cb375475483


*Comment 2
Add the following subfield: $ 010 9 which is a field put forward by the ABES as part of the Sudoc network. The information of Sudoc is the following
UNIMARC / Bibliographic
Field 010: export of subfield $ 9 (repeatable): "ISBN of a serial delivery"
This Sudoc-specific subfield is likely to be present in periodical records. It contains the ISBN of a periodical delivery when it is processed in the Sudoc in the collector's state under the note of the periodical concerned.

*Comment 3
Zones 90, 91 and 99 specific to Koha = OK

*Comment 4
Block 181 except that the $ 181 a must be repeatable
Block 182 = OK
Block 183 = 183 $ P sub-field specific to ABES and Sudoc network / 183 $ 8 under IFLA specific field obviously missing
Block 203 = OK (note: not present in Sudoc of ABES)

*Comment 5
Block 219 = OK but specific to Sudoc of ABES; for the moment these data are transferred to 210 during the imports. Also bargain at the PUC for a 214. But not won! Do not plan a 214
Attention misses $ 219 $ 6 and $ 7, under fields reserved for cataloging documents with non-Latin characters. Also note that $ 219 $ P $ r $ s and $ 6 and $ 7 are non-repeatable subfields (to be corrected)

*Comment 6:
Block 231 new since 2017: does not exist at Bnf and ABES Sudoc
All sub fields are repeatable so correct

*Comment 7:
Block 283 new since 2017: does not exist at BnF and ABES Sudoc
Lack $ 8Material specific, repeatable

*Comment 8
Bloc 338 new 2017: does not exist at BnF and ABES Sudoc
Be careful and correct: $ b, $ c and $ e are repeatable!

*Comment 9
Block 915 specific to ABES Sudoc
Be careful the $ a and $ b are repeatable (to correct)

*Block 916 no longer exists at ABES Sudoc (to be deleted? if it do not exist in IFLA)

*Block 917 specific to the ABES Sudoc and the BNF

*Bloc 918 specific to the BNF

*Bloc 919 specific to the ABES but also to the BNF
Be careful the $ b, $ c, $ d, $ e are not present at the ABES-Sudoc level

*Comment 10
Missing subfield $ j "PEB code" that is specific to ABES Sudoc / non-repeatable
Missing subfield $ v "Copy status code" that is specific to ABES Sudoc / non-repeatable
Missing subfield $ Z "Shared Conservation Plan Code" that is specific to ABES Sudoc / Repeatable
Missing the subfield $ p "Conservation pole or associated pole in the context of a PCPP" that is specific to the ABES Sudoc / non-repeatable

*Comment 11
Add the entire block 931 (Sudoc block of the abes) that is missing in the document is $ 5, $ 2, $ a, $ b, $ c, $ d, $ e, $ g, $ h, $ i, $ l, $ v / all are non-repeatable / for labels see http://documentation.abes.fr/sudoc/formats/loc/zones/931.htm

*Comment 12
This comment deals with the 932 that was proposed to delete
Why remove the 932 zone that seems useful for the ABES (sudoc)
This box contains the dimension below which the document is to be stored later. It is used in the case of documents that have successive locations inside the establishment. For example, for a manual that is first put in the free access section, but then kept in the store, a 932 zone is created for the store rating. It allows to indicate the rating, and all the information related to the exact location of a physical or "bibliographic" copy (serial publication).
If we reintegrate it will be necessary to put these various sub-fields in action
http://documentation.abes.fr/sudoc/formats/loc/zones/932.htm

*Comment 13
All block 955 (used by ABES sudoc) is to be reviewed because it lacks subfields like this: $ =, $ 0, $ 1, $ 2, $ 3, $ 4, $ 7, $ h, $ i, $ n, $ o, $ p, $ q / $ 1, $ 2, $ 3, $ 4 and $ 7 are non-repeatable unlike the others
To remove $ r, $ w and $ z
http://documentation.abes.fr/sudoc/formats/loc/zones/955.htm
Note: This field contains the collection status corresponding to the main bibliographic unit (as defined by ISO 10324) of a serial publication. The main bibliographic unit consists of all the fascicles or volumes that make up the basic collection of the serial publication, excluding tables and indexes, supplements and special numbers that are reported in other areas.
For serials, the collection state is recorded in terms of numbering or timing, or both. When there is only one chronological sequential indication, the chronology is used to indicate the collection status. If a serial publication does not have chronological data, it is not provided. When both are included, the timeline and numbering should be recorded together, starting with the timeline.
Because of the repeatable structure of certain subfield groups ($ a $ b $ c $ d $ e $ f $ k $ l $ m $ n $ o $ p), the field allows you to enter the same 955 zone. the collector states of a SAME collection that includes, for example, gaps, but does not require the entry of a different copy record.
Note: it should be noted that other linked areas (930 for example) are not repeatable, it will be necessary to ensure consistency between the information entered in 955 and in other areas of the SAME record of copy, especially the articulation with the zone 959: to see the chapter Instructions for the entry of the gaps.

*Comment 14
Block 956
All block 956 (used by Sudoc of the ABES) is to be reviewed because it lacks subfields like this: $ -, $ 0, $ 1, $ 2, $ 3, $ 4, $ 7, $ n, $ o, $ p, $ q / the $ 1, $ 2, $ 3, $ 4 and $ 7 are non-repeatable unlike the others
Remove $ h, $ i, $ j, $ r, $ w, and $ z
http://documentation.abes.fr/sudoc/formats/loc/zones/956.htm

*Comment 15
Block 957
All block 957 (used by Sudoc of ABES) is to be reviewed because it lacks subfields like this: $ -, $ 0, $ 1, $ 2, $ 3, $ 4, $ 7, $ n, $ p, $ q / them $ 1, $ 2, $ 3, $ 4 and $ 7 are non-repeatable unlike others
Remove $ h, $ i, $ j, $ r, $ w, and $ z
http://documentation.abes.fr/sudoc/formats/loc/zones/957.htm


*Commentary 16
Block 958 = OK

*Comment 17
Bloc 959 has just been added by Sudoc ABES
Any good but addition of a $ r that does not exist at the level of the ABES?

*Comment 18
Not found the 987 where does it come from?

*Comment 19
Block 995 = block koha = OK

*Comment 20
Block 990 $ has repeatable!

*Comment 21
Block 991 All good except $ b and $ c repeatable

*Comment 21
Block 992 OK
Comment 22 François Pichenot 2018-03-16 14:47:45 UTC
*** Bug 18873 has been marked as a duplicate of this bug. ***
Comment 23 François Pichenot 2018-06-24 09:20:27 UTC
Hi Laurent,

Thank you very much and sorry for the late reply...


> 009 ARK perennial identifier of the record [obsolete since version 2007]
> ARK = Archival Resource Key / This is a Bnf Specific Zone
> . See ARK specifications: http://www.cdlib.org/inside/diglib/ark/arkspec.pdf
> [accessed October 10, 2006]
> ex: 009http: //catalogue.bnf.fr/ark: / 12148 / cb375475483
BnF doesn't use 009 anymore (since 2016, see http://www.bnf.fr/documents/unimarc_b_recap_modif.pdf p.6).
But 009 seems to be useful to store Sudoc PPN (as 035 is a repeatable field), so I added it.

> Add the following subfield: $ 010 9 which is a field put forward by the ABES as part of the Sudoc network. The information of Sudoc is the following
> UNIMARC / Bibliographic
> Field 010: export of subfield $ 9 (repeatable): "ISBN of a serial delivery"
> This Sudoc-specific subfield is likely to be present in periodical records. It contains the ISBN of a periodical delivery > when it is processed in the Sudoc in the collector's state under the note of the periodical concerned.
OK

> Block 181 except that the $ 181 a must be repeatable
OK

> Block 183 = 183 $ P sub-field specific to ABES and Sudoc network 
183 $P doesn't appear in Sudoc exchange format (see http://www.abes.fr/Media/Fichiers/Sudoc-Fichiers/Produire-dans-le-Sudoc/Format-d-echange-des-donnees-bibliographiques)

> 183 $ 8 under IFLA specific field obviously missing
OK

> Block 219 = OK but specific to Sudoc of ABES;
This field is included in BnF exchange format (see http://www.bnf.fr/documents/unimarc_b_recap_modif.pdf p22) but not appears in Sudoc exchange format. So I correct the field tag.

> Attention misses $ 219 $ 6 and $ 7, under fields reserved for cataloging documents with non-Latin characters. Also note that $ 219 $ P $ r $ s and $ 6 and $ 7 are non-repeatable subfields (to be corrected)
This is not included in an exchange format.

> Block 231 new since 2017: does not exist at Bnf and ABES Sudoc
> All sub fields are repeatable so correct
OK

> Block 283 new since 2017: does not exist at BnF and ABES Sudoc
> Lack $ 8Material specific, repeatable
OK

> Bloc 338 new 2017: does not exist at BnF and ABES Sudoc
> Be careful and correct: $ b, $ c and $ e are repeatable!
OK

> Block 915 specific to ABES Sudoc
> Be careful the $ a and $ b are repeatable (to correct)
OK

> Block 916 no longer exists at ABES Sudoc (to be deleted? if it do not exist in IFLA)
Are you sure ? 916 still appears in Sudoc exchange format (see http://www.abes.fr/Media/Fichiers/Sudoc-Fichiers/Produire-dans-le-Sudoc/Format-d-echange-des-donnees-bibliographiques p.71)

> Bloc 918 specific to the BNF
Are you sure ? 918 still appears in Sudoc exchange format (see http://www.abes.fr/Media/Fichiers/Sudoc-Fichiers/Produire-dans-le-Sudoc/Format-d-echange-des-donnees-bibliographiques p.71)

> Field 930
> Missing subfield $ j "PEB code" that is specific to ABES Sudoc / non-repeatable
> Missing subfield $ v "Copy status code" that is specific to ABES Sudoc / non-repeatable
> Missing subfield $ Z "Shared Conservation Plan Code" that is specific to ABES Sudoc / Repeatable
> Missing the subfield $ p "Conservation pole or associated pole in the context of a PCPP" that is specific to the ABES Sudoc / non-repeatable
OK

> Add the entire block 931 (Sudoc block of the abes) that is missing in the document is $ 5, $ 2, $ a, $ b, $ c, $ d, $ e, $ g, $ h, $ i, $ l, $ v / all are non-repeatable / for labels see http://documentation.abes.fr/sudoc/formats/loc/zones/931.htm
OK


> This comment deals with the 932 that was proposed to delete
> Why remove the 932 zone that seems useful for the ABES (sudoc)
This field is not included in Sudoc exchange format (see http://www.abes.fr/Media/Fichiers/Sudoc-Fichiers/Produire-dans-le-Sudoc/Format-d-echange-des-donnees-bibliographiques)

> All block 955 (used by ABES sudoc) is to be reviewed because it lacks subfields like this: $ =, $ 0, $ 1, $ 2, $ 3, $ 4, 
Field conformed to Sudoc exchange format (see http://www.abes.fr/Media/Fichiers/Sudoc-Fichiers/Produire-dans-le-Sudoc/Format-d-echange-des-donnees-bibliographiques p72)

> Block 956
Field conformed to Sudoc exchange format (see http://www.abes.fr/Media/Fichiers/Sudoc-Fichiers/Produire-dans-le-Sudoc/Format-d-echange-des-donnees-bibliographiques p72)


> Block 957
> All block 957 (used by Sudoc of ABES) is to be reviewed because it lacks subfields like this: $ -, $ 0, $ 1, $ 2, $ 3, $ 4, $ 7, $ n, $ p, $ q / them $ 1, $ 2, $ 3, $ 4 and $ 7 are non-repeatable unlike others
> Remove $ h, $ i, $ j, $ r, $ w, and $ z
> http://documentation.abes.fr/sudoc/formats/loc/zones/957.htm
Field conformed to 

*Commentary 16
Block 958 = OK

> Bloc 959 has just been added by Sudoc ABES
> Any good but addition of a $ r that does not exist at the level of the ABES?
959 $r occurs in Sudoc exchange format (see http://www.abes.fr/Media/Fichiers/Sudoc-Fichiers/Produire-dans-le-Sudoc/Format-d-echange-des-donnees-bibliographiques)

> Not found the 987 where does it come from?
BnF exchange format : http://www.bnf.fr/documents/UNIMARC(B)_conversion.pdf p.59

> Block 990 $ has repeatable!
OK

> Block 991 All good except $ b and $ c repeatable
OK
Comment 24 François Pichenot 2018-06-24 09:49:49 UTC
Created attachment 76326 [details] [review]
Bug 18309: Unimarc update from IFLA - Unimarc Biblio (French)

- corrections suggested by Laurent integrated,
    - 'unimarc_182c' values corrected,
    - 'unimarc_183a' values conformed to http://multimedia.bnf.fr/unimarcb_trad/RDA-FR-types-supports.pdf
Comment 25 François Pichenot 2018-06-24 10:05:14 UTC
Created attachment 76327 [details]
Unimarc biblio (French) default export

You can check the correctness of the French Unimarc biblio framework with this export.
Comment 26 François Pichenot 2018-06-24 10:09:13 UTC
TO DO on unimarc biblio :
- checking if (sub)fields are mandatory or repeatable.
Comment 27 Koha Team University Lyon 3 2019-09-30 09:52:28 UTC
I try to install it on a kohadev box but it doesn't apply : 
fatal: sha1 information is lacking or useless (installer/data/mysql/fr-FR/marcfl                                                       avour/unimarc_complet/Obligatoire/framework_DEFAULT.sql).

Sonia
Comment 28 Corinne Hayet 2019-09-30 10:02:49 UTC
In addition, there was an update of the format in August :)

More information here : https://www.ifla.org/node/92434?og=33

Have a nice day :)

Corinne
Comment 29 Julian Maurice 2019-09-30 14:27:22 UTC
Created attachment 93265 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (default framework)
Comment 30 Julian Maurice 2019-09-30 14:27:27 UTC
Created attachment 93266 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (CLASS)
Comment 31 Julian Maurice 2019-09-30 14:27:33 UTC
Created attachment 93267 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO)
Comment 32 Julian Maurice 2019-09-30 14:27:39 UTC
Created attachment 93268 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (EXP)
Comment 33 Julian Maurice 2019-09-30 14:27:45 UTC
Created attachment 93269 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTEXP)
Comment 34 Julian Maurice 2019-09-30 14:27:50 UTC
Created attachment 93270 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTWORK)
Comment 35 Julian Maurice 2019-09-30 14:27:55 UTC
Created attachment 93271 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (PERS)
Comment 36 Julian Maurice 2019-09-30 14:27:59 UTC
Created attachment 93272 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (PUB)
Comment 37 Julian Maurice 2019-09-30 14:28:06 UTC
Created attachment 93273 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (TU)
Comment 38 Julian Maurice 2019-09-30 14:28:12 UTC
Created attachment 93274 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (WORK)
Comment 39 Julian Maurice 2019-09-30 14:28:16 UTC
Created attachment 93275 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM)
Comment 40 Julian Maurice 2019-09-30 14:28:22 UTC
Created attachment 93276 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (GENRE/FORM)
Comment 41 Julian Maurice 2019-09-30 14:28:27 UTC
Created attachment 93277 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM)
Comment 42 Julian Maurice 2019-09-30 14:28:32 UTC
Created attachment 93278 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (NP)
Comment 43 Julian Maurice 2019-09-30 14:28:37 UTC
Created attachment 93279 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (PA)
Comment 44 Julian Maurice 2019-09-30 14:28:44 UTC
Created attachment 93280 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUTTIT)
Comment 45 Julian Maurice 2019-09-30 14:28:50 UTC
Created attachment 93281 [details] [review]
Bug 18308: UNIMARC update from IFLA - authority (fr) (SNC)
Comment 46 Julian Maurice 2019-09-30 14:28:55 UTC
Created attachment 93282 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNG)
Comment 47 Julian Maurice 2019-09-30 14:29:00 UTC
Created attachment 93283 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (TM)
Comment 48 Julian Maurice 2019-09-30 14:29:06 UTC
Created attachment 93284 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (AUTTIT)
Comment 49 Julian Maurice 2019-09-30 14:29:12 UTC
Created attachment 93285 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO_UNI_TI)
Comment 50 Julian Maurice 2019-09-30 14:29:17 UTC
Created attachment 93286 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (FA)
Comment 51 Julian Maurice 2019-09-30 14:29:22 UTC
Created attachment 93287 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUT)
Comment 52 Julian Maurice 2019-09-30 14:29:30 UTC
Created attachment 93288 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SCO)
Comment 53 Julian Maurice 2019-09-30 14:29:35 UTC
Created attachment 93289 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (STU)
Comment 54 Julian Maurice 2019-09-30 14:29:40 UTC
Created attachment 93290 [details] [review]
Bug 18309: UNIMARC update from IFLA - biblio UNIMARC complet (en)
Comment 55 Julian Maurice 2019-09-30 14:32:29 UTC
Created attachment 93291 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (default framework)
Comment 56 Julian Maurice 2019-09-30 14:32:34 UTC
Created attachment 93292 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (CLASS)
Comment 57 Julian Maurice 2019-09-30 14:32:40 UTC
Created attachment 93293 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO)
Comment 58 Julian Maurice 2019-09-30 14:32:45 UTC
Created attachment 93294 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (EXP)
Comment 59 Julian Maurice 2019-09-30 14:32:49 UTC
Created attachment 93295 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTEXP)
Comment 60 Julian Maurice 2019-09-30 14:32:54 UTC
Created attachment 93296 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTWORK)
Comment 61 Julian Maurice 2019-09-30 14:32:59 UTC
Created attachment 93297 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (PERS)
Comment 62 Julian Maurice 2019-09-30 14:33:04 UTC
Created attachment 93298 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (PUB)
Comment 63 Julian Maurice 2019-09-30 14:33:09 UTC
Created attachment 93299 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (TU)
Comment 64 Julian Maurice 2019-09-30 14:33:13 UTC
Created attachment 93300 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (WORK)
Comment 65 Julian Maurice 2019-09-30 14:33:18 UTC
Created attachment 93301 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM)
Comment 66 Julian Maurice 2019-09-30 14:33:25 UTC
Created attachment 93302 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (GENRE/FORM)
Comment 67 Julian Maurice 2019-09-30 14:33:32 UTC
Created attachment 93303 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM)
Comment 68 Julian Maurice 2019-09-30 14:33:37 UTC
Created attachment 93304 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (NP)
Comment 69 Julian Maurice 2019-09-30 14:33:43 UTC
Created attachment 93305 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (PA)
Comment 70 Julian Maurice 2019-09-30 14:33:49 UTC
Created attachment 93306 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUTTIT)
Comment 71 Julian Maurice 2019-09-30 14:33:59 UTC
Created attachment 93307 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNC)
Comment 72 Julian Maurice 2019-09-30 14:34:06 UTC
Created attachment 93309 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNG)
Comment 73 Julian Maurice 2019-09-30 14:34:13 UTC
Created attachment 93310 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (TM)
Comment 74 Julian Maurice 2019-09-30 14:34:19 UTC
Created attachment 93311 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (AUTTIT)
Comment 75 Julian Maurice 2019-09-30 14:34:27 UTC
Created attachment 93312 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO_UNI_TI)
Comment 76 Julian Maurice 2019-09-30 14:34:33 UTC
Created attachment 93313 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (FA)
Comment 77 Julian Maurice 2019-09-30 14:34:38 UTC
Created attachment 93314 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUT)
Comment 78 Julian Maurice 2019-09-30 14:34:44 UTC
Created attachment 93315 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SCO)
Comment 79 Julian Maurice 2019-09-30 14:34:49 UTC
Created attachment 93316 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (STU)
Comment 80 Julian Maurice 2019-09-30 14:34:54 UTC
Created attachment 93317 [details] [review]
Bug 18309: UNIMARC update from IFLA - biblio UNIMARC complet (en)
Comment 81 Julian Maurice 2019-09-30 14:38:15 UTC
Trying to attach the rebased patch returned an error (Request entity too large) so I split the patches
Comment 83 Julian Maurice 2019-10-02 12:18:39 UTC
Created attachment 93442 [details] [review]
Bug 18309: Add UNIMARC field 214 and its subfields
Comment 84 Julian Maurice 2019-10-02 12:59:15 UTC
Created attachment 93456 [details] [review]
Bug 18309: Fix INSERT sql query in unimarc_framework_DEFAULT.sql
Comment 85 anne-cecile.bories 2019-10-03 09:19:03 UTC
Hello,

Thanks for this work ! 
But it miss the fields IFLA belows :
018 [Reserved for other International Standard Numbers]
033 - Other System Persistent Record Identifier
183 - Coded Data Field: Type of Carrier
203 - Content Form and Media Type
231 - Digital File Characteristics
283 - Carrier Type
338 - Funding Information Note
Comment 86 Corinne Hayet 2019-10-03 09:26:33 UTC
Hello,

Indeed, my update was done in 2017 and there was two others updates since it :)

Best regards,

Corinne
Comment 87 Julian Maurice 2019-10-03 13:07:55 UTC
Created attachment 93593 [details] [review]
Bug 18309: Add missing fields in biblio framework

018 - [Reserved for other International Standard Numbers]
033 - Other System Persistent Record Identifier
183 - Coded Data Field: Type of Carrier
203 - Content Form and Media Type
231 - Digital File Characteristics
283 - Carrier Type
338 - Funding Information Note
Comment 88 Koha Team University Lyon 3 2019-10-03 14:54:16 UTC
Created attachment 93625 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (default framework)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 89 Koha Team University Lyon 3 2019-10-03 14:54:23 UTC
Created attachment 93626 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (CLASS)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 90 Koha Team University Lyon 3 2019-10-03 14:54:29 UTC
Created attachment 93627 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 91 Koha Team University Lyon 3 2019-10-03 14:54:35 UTC
Created attachment 93628 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (EXP)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 92 Koha Team University Lyon 3 2019-10-03 14:54:40 UTC
Created attachment 93629 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTEXP)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 93 Koha Team University Lyon 3 2019-10-03 14:54:45 UTC
Created attachment 93630 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTWORK)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 94 Koha Team University Lyon 3 2019-10-03 14:54:50 UTC
Created attachment 93631 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (PERS)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 95 Koha Team University Lyon 3 2019-10-03 14:54:59 UTC
Created attachment 93632 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (PUB)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 96 Koha Team University Lyon 3 2019-10-03 14:55:04 UTC
Created attachment 93633 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (TU)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 97 Koha Team University Lyon 3 2019-10-03 14:55:08 UTC
Created attachment 93634 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (WORK)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 98 Koha Team University Lyon 3 2019-10-03 14:55:17 UTC
Created attachment 93635 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 99 Koha Team University Lyon 3 2019-10-03 14:55:22 UTC
Created attachment 93636 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (GENRE/FORM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 100 Koha Team University Lyon 3 2019-10-03 14:55:27 UTC
Created attachment 93637 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 101 Koha Team University Lyon 3 2019-10-03 14:55:31 UTC
Created attachment 93638 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (NP)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 102 Koha Team University Lyon 3 2019-10-03 14:55:36 UTC
Created attachment 93639 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (PA)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 103 Koha Team University Lyon 3 2019-10-03 14:55:41 UTC
Created attachment 93640 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUTTIT)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 104 Koha Team University Lyon 3 2019-10-03 14:55:46 UTC
Created attachment 93641 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNC)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 105 Koha Team University Lyon 3 2019-10-03 14:55:51 UTC
Created attachment 93642 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNG)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 106 Koha Team University Lyon 3 2019-10-03 14:55:58 UTC
Created attachment 93643 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (TM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 107 Koha Team University Lyon 3 2019-10-03 14:56:02 UTC
Created attachment 93644 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (AUTTIT)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 108 Koha Team University Lyon 3 2019-10-03 14:56:07 UTC
Created attachment 93645 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO_UNI_TI)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 109 Koha Team University Lyon 3 2019-10-03 14:56:12 UTC
Created attachment 93646 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (FA)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 110 Koha Team University Lyon 3 2019-10-03 14:56:18 UTC
Created attachment 93647 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUT)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 111 Koha Team University Lyon 3 2019-10-03 14:56:23 UTC
Created attachment 93648 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SCO)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 112 Koha Team University Lyon 3 2019-10-03 14:56:28 UTC
Created attachment 93649 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (STU)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 113 Koha Team University Lyon 3 2019-10-03 14:56:33 UTC
Created attachment 93650 [details] [review]
Bug 18309: UNIMARC update from IFLA - biblio UNIMARC complet (en)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 114 Koha Team University Lyon 3 2019-10-03 14:56:39 UTC
Created attachment 93651 [details] [review]
Bug 18309: Add UNIMARC field 214 and its subfields

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 115 Koha Team University Lyon 3 2019-10-03 14:56:43 UTC
Created attachment 93652 [details] [review]
Bug 18309: Fix INSERT sql query in unimarc_framework_DEFAULT.sql

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 116 Koha Team University Lyon 3 2019-10-03 14:56:48 UTC
Created attachment 93653 [details] [review]
Bug 18309: Add missing fields in biblio framework

018 - [Reserved for other International Standard Numbers]
033 - Other System Persistent Record Identifier
183 - Coded Data Field: Type of Carrier
203 - Content Form and Media Type
231 - Digital File Characteristics
283 - Carrier Type
338 - Funding Information Note

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Comment 117 Koha Team University Lyon 3 2019-10-03 15:43:13 UTC
I've tested these patches on a kohadev box. I've redone a complete koha installation after applying them. All the new IFLA fields were added to the DEFAULT framework as expected.
Comment 118 Alex Arnaud 2019-10-07 10:11:27 UTC
Created attachment 93788 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (default framework)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 119 Alex Arnaud 2019-10-07 10:11:40 UTC
Created attachment 93789 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (CLASS)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 120 Alex Arnaud 2019-10-07 10:11:51 UTC
Created attachment 93790 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 121 Alex Arnaud 2019-10-07 10:12:02 UTC
Created attachment 93791 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (EXP)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 122 Alex Arnaud 2019-10-07 10:12:14 UTC
Created attachment 93792 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTEXP)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 123 Alex Arnaud 2019-10-07 10:12:29 UTC
Created attachment 93793 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (NTWORK)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 124 Alex Arnaud 2019-10-07 10:12:42 UTC
Created attachment 93794 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (PERS)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 125 Alex Arnaud 2019-10-07 10:12:56 UTC
Created attachment 93795 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (PUB)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 126 Alex Arnaud 2019-10-07 10:13:09 UTC
Created attachment 93796 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (TU)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 127 Alex Arnaud 2019-10-07 10:13:24 UTC
Created attachment 93797 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (WORK)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 128 Alex Arnaud 2019-10-07 10:13:36 UTC
Created attachment 93798 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 129 Alex Arnaud 2019-10-07 10:14:05 UTC
Created attachment 93799 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (GENRE/FORM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 130 Alex Arnaud 2019-10-07 10:14:29 UTC
Created attachment 93800 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (FAM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 131 Alex Arnaud 2019-10-07 10:14:46 UTC
Created attachment 93801 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (NP)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 132 Alex Arnaud 2019-10-07 10:15:03 UTC
Created attachment 93802 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (PA)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 133 Alex Arnaud 2019-10-07 10:15:19 UTC
Created attachment 93803 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUTTIT)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 134 Alex Arnaud 2019-10-07 10:15:37 UTC
Created attachment 93804 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNC)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 135 Alex Arnaud 2019-10-07 10:15:50 UTC
Created attachment 93805 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SNG)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 136 Alex Arnaud 2019-10-07 10:16:03 UTC
Created attachment 93806 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (TM)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 137 Alex Arnaud 2019-10-07 10:16:17 UTC
Created attachment 93807 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (AUTTIT)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 138 Alex Arnaud 2019-10-07 10:16:32 UTC
Created attachment 93808 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (CO_UNI_TI)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 139 Alex Arnaud 2019-10-07 10:16:51 UTC
Created attachment 93809 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (FA)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 140 Alex Arnaud 2019-10-07 10:17:08 UTC
Created attachment 93810 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SAUT)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 141 Alex Arnaud 2019-10-07 10:17:26 UTC
Created attachment 93811 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (SCO)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 142 Alex Arnaud 2019-10-07 10:17:41 UTC
Created attachment 93812 [details] [review]
Bug 18309: UNIMARC update from IFLA - authority (fr) (STU)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 143 Alex Arnaud 2019-10-07 10:18:00 UTC
Created attachment 93813 [details] [review]
Bug 18309: UNIMARC update from IFLA - biblio UNIMARC complet (en)

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 144 Alex Arnaud 2019-10-07 10:18:14 UTC
Created attachment 93814 [details] [review]
Bug 18309: Add UNIMARC field 214 and its subfields

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 145 Alex Arnaud 2019-10-07 10:18:28 UTC
Created attachment 93815 [details] [review]
Bug 18309: Fix INSERT sql query in unimarc_framework_DEFAULT.sql

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 146 Alex Arnaud 2019-10-07 10:18:41 UTC
Created attachment 93816 [details] [review]
Bug 18309: Add missing fields in biblio framework

018 - [Reserved for other International Standard Numbers]
033 - Other System Persistent Record Identifier
183 - Coded Data Field: Type of Carrier
203 - Content Form and Media Type
231 - Digital File Characteristics
283 - Carrier Type
338 - Funding Information Note

Signed-off-by: Sonia BOUIS <sonia.bouis@univ-lyon3.fr>
Signed-off-by: Alex Arnaud <alex.arnaud@biblibre.com>
Comment 147 Martin Renvoize 2019-10-08 13:31:23 UTC
Nice work!

Pushed to master for 19.11.00